These are chat archives for allegro/ralph

30th
May 2017
Michael Cone
@mrmikee
May 30 2017 10:47
Anyone have success running Ralph3 on Ubuntu 16.04? 14.04 is way too old for new installs at our company.
Mateusz Kurek
@mkurek
May 30 2017 11:54
@mrmikee did you try to install it or you're just asking? :)
✪ vi4m Marcin Kliks
@vi4m
May 30 2017 11:56
AFAIK it should work
✪ vi4m Marcin Kliks
@vi4m
May 30 2017 12:06
@mkurek we should fine-tune it for 16.04 because it doesn't work - tried and got errors:
Zrzut ekranu 2017-05-30 o 14.06.50.png
some sort of python issue :-/
because simply running 'python' make the same error
Mateusz Kurek
@mkurek
May 30 2017 12:08
what python version is there? 3.6?
Jim Ntosas
@purplexss
May 30 2017 12:08
i installed it without probs in ubuntu 16.04, i just needed to install python v3.4 instead of ubuntu-repos-python which is v3.5+
✪ vi4m Marcin Kliks
@vi4m
May 30 2017 12:09
I guess we should not ship python in the package, because setting path for Ralph package executes "embedded" python
Zrzut ekranu 2017-05-30 o 14.08.56.png
Jim Ntosas
@purplexss
May 30 2017 12:10
yy ^^
✪ vi4m Marcin Kliks
@vi4m
May 30 2017 12:14
@purplexss did you use Debian package or source repository?
Jim Ntosas
@purplexss
May 30 2017 12:14
i used debian package
✪ vi4m Marcin Kliks
@vi4m
May 30 2017 12:14
how do you run Ralph ? simply ralph ?
Jim Ntosas
@purplexss
May 30 2017 12:14
y thats right ^
✪ vi4m Marcin Kliks
@vi4m
May 30 2017 12:15
and what's your PATH then ?
Jim Ntosas
@purplexss
May 30 2017 12:15
let me check
export PATH=/opt/ralph/ralph-core/bin/:$PATH ---> @ ~/.profile
i used debian package but for python v3.4
i override the ubuntu-repos for python
✪ vi4m Marcin Kliks
@vi4m
May 30 2017 12:16
what Ralph-core version do you have ?
Jim Ntosas
@purplexss
May 30 2017 12:16
1.8.18
and i can also confirm that my setup on debian 8 stable also runs smoothly based on your installation instructions
i suggest whoever wants to run ralph, just install debian 8 jessie and just follow instructions, all goes well from my experience
just upgraded to the latest build, still all works fine
✪ vi4m Marcin Kliks
@vi4m
May 30 2017 12:37
what's the contents of your /etc/apt/sources.list.d/vi4m_ralph.list ?
Jim Ntosas
@purplexss
May 30 2017 13:34
root@ralph:~# cat /etc/apt/sources.list.d/vi4m_ralph.list
deb https://dl.bintray.com/vi4m/ralph jessie main